=== debian/changelog ===
jsmn (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload. (Closes: #974731)
  * Bump debhelper compat to v13.
  * Mark binary package as Multi-Arch: foreign.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Dec 2020 15:04:04 -0500

jsmn (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #961233).

 -- Steffen Moeller <moeller@debian.org>  Thu, 21 May 2020 19:35:37 +0200
