=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%jsmn-$1.tar.gz%" \
   https://github.com/zserge/jsmn/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
